## qbittorrent 4.1.5.1+rb2

=== src/webui/CMakeLists.txt ===
add_library(qbt_webui STATIC
# headers
api/apicontroller.h
api/apierror.h
api/appcontroller.h
api/isessionmanager.h
api/authcontroller.h
api/freediskspacechecker.h
api/logcontroller.h
api/rsscontroller.h
api/searchcontroller.h
api/synccontroller.h
api/torrentscontroller.h
api/transfercontroller.h
api/serialize/serialize_torrent.h
webapplication.h
webui.h

# sources
api/apicontroller.cpp
api/apierror.cpp
api/appcontroller.cpp
api/authcontroller.cpp
api/freediskspacechecker.cpp
api/logcontroller.cpp
api/rsscontroller.cpp
api/searchcontroller.cpp
api/synccontroller.cpp
api/torrentscontroller.cpp
api/transfercontroller.cpp
api/serialize/serialize_torrent.cpp
webapplication.cpp
webui.cpp
)

qbt_target_sources(qBittorrent PRIVATE www/webui.qrc)

target_link_libraries(qbt_webui PUBLIC qbt_base)

## qbittorrent 4.1.6

=== debian/changelog ===
qbittorrent (4.1.6-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Disable dbg and dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 May 2019 17:51:17 -0700

=== debian/control ===
Source: qbittorrent
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               libtorrent-rasterbar-dev (>= 1.1.2),
               libboost-dev,
               libqt5svg5-dev,
               qtbase5-dev (>= 5.2.0),
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
Homepage: http://www.qbittorrent.org/

Package: qbittorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         python (>= 2.5), geoip-database
Suggests: qbittorrent-dbg
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
 user interface. qBittorrent is a feature rich but lightweight client that is
 very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qbittorrent-dbg
Description: bittorrent client based on libtorrent-rasterbar (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for headless
 servers. It is a feature rich but lightweight client that is very similar to
 rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- --disable-gui \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_configure --builddirectory build-gui -- \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qbittorrent 4.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9 FATAL_ERROR)

message(AUTHOR_WARNING "If the build fails, please try the autotools/qmake method.")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
include(FunctionReadVersion)

read_version("${CMAKE_CURRENT_SOURCE_DIR}/version.pri" VER_MAJOR VER_MINOR VER_BUGFIX VER_BUILD VER_STATUS)
# message(STATUS "Project version is: ${VER_MAJOR}.${VER_MINOR}.${VER_BUGFIX}.${VER_BUILD} (${VER_STATUS})")

project(qBittorrent VERSION ${VER_MAJOR}.${VER_MINOR}.${VER_BUGFIX}.${VER_BUILD})

set(PROJECT_VERSION "${VER_MAJOR}.${VER_MINOR}.${VER_BUGFIX}")

if (NOT VER_BUILD EQUAL 0)
    set(PROJECT_VERSION "${PROJECT_VERSION}.${VER_BUILD}")
endif()

set(PROJECT_VERSION "${PROJECT_VERSION}${VER_STATUS}")

add_definitions(-DQBT_VERSION_MAJOR=${VER_MAJOR})
add_definitions(-DQBT_VERSION_MINOR=${VER_MINOR})
add_definitions(-DQBT_VERSION_BUGFIX=${VER_BUGFIX})
add_definitions(-DQBT_VERSION_BUILD=${VER_BUILD})

add_definitions(-DQBT_VERSION="v${PROJECT_VERSION}")
add_definitions(-DQBT_VERSION_2="${PROJECT_VERSION}")

include(GNUInstallDirs)
include(FeatureSummary)

# version requirements
set(requiredBoostVersion 1.35)
set(requiredQtVersion 5.5.1)

if(WIN32)
    include(winconf)
endif(WIN32)


# we need options here, at the top level, because they are used not only in "src" subdir, but in the "dist" dir too
include(CompileFeature)

optional_compile_definitions(COUNTRIES_RESOLUTION FEATURE DESCRIPTION "Enable resolving peers IP addresses to countries"
    DEFAULT ON DISABLED DISABLE_COUNTRIES_RESOLUTION)
optional_compile_definitions(STACKTRACE FEATURE DESCRIPTION "Enable stacktraces"
    DEFAULT ON ENABLED STACKTRACE)
optional_compile_definitions(WEBUI FEATURE DESCRIPTION "Enables built-in HTTP server for headless use"
    DEFAULT ON DISABLED DISABLE_WEBUI)

add_subdirectory(src)
add_subdirectory(dist)

feature_summary(DESCRIPTION "\nConfiguration results:" WHAT ALL)

=== dist/CMakeLists.txt ===
find_package(Qt5Widgets ${requiredQtVersion}) # to conditionally install desktop-related files

if (APPLE)
    add_subdirectory(mac)
else (APPLE)
    if (UNIX)
        add_subdirectory(unix)
    endif (UNIX)
    if (WIN32)
        add_subdirectory(windows)
    endif (WIN32)
endif (APPLE)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD_REQUIRED True)

# If C++14 is available, use it as libtorent ABI depends on 11/14 version
if (cxx_std_14 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
    message(STATUS "Building in C++14 mode")
    set(CMAKE_CXX_STANDARD "14")
else()
    message(STATUS "Building in C++11 mode")
    set(CMAKE_CXX_STANDARD "11")
endif()

include(MacroQbtCompilerSettings)
qbt_set_compiler_options()

include(QbtTargetSources)

find_package(Boost ${requiredBoostVersion} REQUIRED)
find_package(LibtorrentRasterbar REQUIRED)

if (Boost_VERSION VERSION_LESS 106000)
    add_definitions(-DBOOST_NO_CXX11_RVALUE_REFERENCES)
endif()

find_package(Qt5 ${requiredQtVersion} REQUIRED COMPONENTS Core Network Xml LinguistTools)
find_package(Qt5Widgets ${requiredQtVersion})
if (Qt5Widgets_FOUND)
    find_package(Qt5DBus ${requiredQtVersion})
else()
    add_definitions(-DDISABLE_GUI)
endif()

set_package_properties(Qt5Widgets PROPERTIES
    DESCRIPTION "Set of components for creating classic desktop-style UIs for the Qt5 framework"
    PURPOSE "Enables qBittorrent GUI. Unneeded for headless configuration."
    TYPE OPTIONAL
)

set_package_properties(Qt5DBus PROPERTIES
    DESCRIPTION "Qt5 module for inter-process communication over the D-Bus protocol"
    PURPOSE "Enables communication with other system components (e.g. notification service) via D-Bus. "
    TYPE RECOMMENDED
)

set(CMAKE_AUTOMOC True)
list(APPEND CMAKE_AUTORCC_OPTIONS -compress 9 -threshold 5)
if (APPLE)
    # Workaround CMake bug (autogen does not pass required parameters to moc)
    # Relevant issue: https://gitlab.kitware.com/cmake/cmake/issues/18041
    list(APPEND CMAKE_AUTOMOC_MOC_OPTIONS -DQ_OS_MAC -DQ_OS_DARWIN)
endif ()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# defines
add_definitions(-DQT_NO_CAST_TO_ASCII)
# Efficient construction for QString & QByteArray (Qt >= 4.8)
add_definitions(-DQT_USE_QSTRINGBUILDER)

if (CMAKE_BUILD_TYPE MATCHES "Debug")
    message(STATUS "Project is built in DEBUG mode.")
else()
    message(STATUS "Project is built in RELEASE mode.")
    message(STATUS "Disabling debug output.")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

configure_file(config.h.cmakein ${CMAKE_CURRENT_BINARY_DIR}/config.h)

find_package(QtSingleApplication)
set_package_properties(QtSingleApplication PROPERTIES
    URL "https://code.qt.io/cgit/qt-solutions/qt-solutions.git/"
    DESCRIPTION "Qt library to start applications only once per user"
    TYPE RECOMMENDED
    PURPOSE "Use the system qtsingleapplication library or shipped one otherwise"
)

if (NOT QtSingleApplication_FOUND)
    add_subdirectory(app/qtsingleapplication)
endif ()

add_subdirectory(app)
add_subdirectory(base)

if (Qt5Widgets_FOUND)
    add_subdirectory(gui)
endif ()

if (WEBUI)
    add_subdirectory(webui)
endif (WEBUI)

=== dist/unix/CMakeLists.txt ===
if (NOT Qt5Widgets_FOUND)
    feature_option(SYSTEMD "Install systemd service file (headless only)" OFF)
    if (SYSTEMD)
        if (NOT Systemd_SERVICES_INSTALL_DIR)
            find_package(Systemd)
            if (NOT Systemd_FOUND)
                message(FATAL_ERROR "Could not locate systemd services install dir."
                " Either pass -DSystemd_SERVICES_INSTALL_DIR=/path/to/systemd/services option or install systemd pkg-config")
            endif(NOT Systemd_FOUND)
        endif(NOT Systemd_SERVICES_INSTALL_DIR)
        set(EXPAND_BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
        configure_file(systemd/qbittorrent-nox@.service.in ${CMAKE_CURRENT_BINARY_DIR}/qbittorrent-nox@.service @ONLY)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qbittorrent-nox@.service
            DESTINATION ${Systemd_SERVICES_INSTALL_DIR}
            COMPONENT data)
    endif(SYSTEMD)
endif()

if (Qt5Widgets_FOUND)
    list(APPEND MAN_FILES ${qBittorrent_SOURCE_DIR}/doc/qbittorrent.1)
else (Qt5Widgets_FOUND)
    list(APPEND MAN_FILES ${qBittorrent_SOURCE_DIR}/doc/qbittorrent-nox.1)
endif (Qt5Widgets_FOUND)

install(FILES ${MAN_FILES}
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
        COMPONENT doc)

if (Qt5Widgets_FOUND)
    install(DIRECTORY menuicons/
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor
            FILES_MATCHING PATTERN "*.png")

    install(FILES org.qbittorrent.qBittorrent.desktop
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications/
            COMPONENT data)

    install(FILES org.qbittorrent.qBittorrent.appdata.xml
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/
            COMPONENT data)

    install(FILES
            ${qBittorrent_SOURCE_DIR}/src/icons/skin/qbittorrent-tray.svg
            ${qBittorrent_SOURCE_DIR}/src/icons/skin/qbittorrent-tray-dark.svg
            ${qBittorrent_SOURCE_DIR}/src/icons/skin/qbittorrent-tray-light.svg
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/status
        COMPONENT data)
endif()

=== dist/windows/CMakeLists.txt ===
install(FILES qt.conf DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/app/CMakeLists.txt ===
add_executable(qBittorrent
application.h
cmdoptions.h
filelogger.h
upgrade.h
application.cpp
cmdoptions.cpp
filelogger.cpp
main.cpp
)

target_include_directories(qBittorrent PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(qBittorrent
    PRIVATE
        qbt_base
)

set_target_properties(qBittorrent
    PROPERTIES
        AUTOUIC True
        AUTORCC True
        MACOSX_BUNDLE True
)

# translations
include(QbtTranslations)

file(GLOB QBT_TS_FILES ../lang/*.ts)
qbt_add_translations(qBittorrent QRC_FILE "../lang/lang.qrc" TS_FILES ${QBT_TS_FILES})

if (WEBUI)
    file(GLOB QBT_WEBUI_TS_FILES ../webui/www/translations/*.ts)
    qbt_add_translations(qBittorrent QRC_FILE "../webui/www/translations/webui_translations.qrc" TS_FILES ${QBT_WEBUI_TS_FILES})
endif()

set(QBT_APP_RESOURCES
../icons/icons.qrc
../searchengine/searchengine.qrc
)

# With AUTORCC rcc is ran by cmake before language files are generated,
# and thus we call rcc explicitly
qt5_add_resources(QBT_APP_RESOURCE_SOURCE ${QBT_APP_RESOURCES})

if (WIN32)
    if (MINGW)
        target_sources(qBittorrent PRIVATE ../qbittorrent_mingw.rc)
    else (MINGW)
        target_sources(qBittorrent PRIVATE ../qbittorrent.rc)
    endif (MINGW)
    target_sources(qBittorrent PRIVATE ../qbittorrent.exe.manifest)
endif (WIN32)

if (STACKTRACE)
    if (UNIX)
        target_sources(qBittorrent PRIVATE stacktrace.h)
    else (UNIX)
        target_sources(qBittorrent PRIVATE stacktrace_win.h)
        if (Qt5Widgets_FOUND)
            target_sources(qBittorrent PRIVATE stacktracedialog.h)
        endif (Qt5Widgets_FOUND)
    endif (UNIX)
endif (STACKTRACE)


if (Qt5Widgets_FOUND)
    target_link_libraries(qBittorrent PRIVATE qbt_searchengine qbt_gui)
    set_target_properties(qBittorrent
        PROPERTIES
            OUTPUT_NAME qbittorrent
            WIN32_EXECUTABLE True
    )
else(Qt5Widgets_FOUND)
    set_target_properties(qBittorrent
        PROPERTIES
            OUTPUT_NAME qbittorrent-nox
    )
endif (Qt5Widgets_FOUND)

if (WEBUI)
    target_link_libraries(qBittorrent PRIVATE qbt_webui)
endif (WEBUI)

# we have to include resources into the bundle
if (APPLE)
    set(OSX_RES_SRC_DIR "${qBittorrent_SOURCE_DIR}/dist/mac")
    list(APPEND QBT_APP_RESOURCE_SOURCE
        "${OSX_RES_SRC_DIR}/qt.conf"
        "${OSX_RES_SRC_DIR}/qBitTorrentDocument.icns"
        "${OSX_RES_SRC_DIR}/qbittorrent_mac.icns")
    set_source_files_properties(
        "${OSX_RES_SRC_DIR}/qt.conf"
        "${OSX_RES_SRC_DIR}/qBitTorrentDocument.icns"
        "${OSX_RES_SRC_DIR}/qbittorrent_mac.icns"
        PROPERTIES
            MACOSX_PACKAGE_LOCATION Resources)
    set(QT_TR_DIR "${qBittorrent_SOURCE_DIR}/dist/qt-translations")
    set(QT_TRANSLATIONS
        ${QT_TR_DIR}/qt_ar.qm
        ${QT_TR_DIR}/qt_bg.qm
        ${QT_TR_DIR}/qt_ca.qm
        ${QT_TR_DIR}/qt_cs.qm
        ${QT_TR_DIR}/qt_da.qm
        ${QT_TR_DIR}/qt_de.qm
        ${QT_TR_DIR}/qt_es.qm
        ${QT_TR_DIR}/qt_eu.qm
        ${QT_TR_DIR}/qt_fi.qm
        ${QT_TR_DIR}/qt_fr.qm
        ${QT_TR_DIR}/qt_gl.qm
        ${QT_TR_DIR}/qt_he.qm
        ${QT_TR_DIR}/qt_hu.qm
        ${QT_TR_DIR}/qt_it.qm
        ${QT_TR_DIR}/qt_ja.qm
        ${QT_TR_DIR}/qt_ko.qm
        ${QT_TR_DIR}/qt_lt.qm
        ${QT_TR_DIR}/qt_nl.qm
        ${QT_TR_DIR}/qt_pl.qm
        ${QT_TR_DIR}/qt_pt.qm
        ${QT_TR_DIR}/qt_pt_BR.qm
        ${QT_TR_DIR}/qt_ru.qm
        ${QT_TR_DIR}/qt_sk.qm
        ${QT_TR_DIR}/qt_sv.qm
        ${QT_TR_DIR}/qt_tr.qm
        ${QT_TR_DIR}/qt_uk.qm
        ${QT_TR_DIR}/qt_zh_CN.qm
        ${QT_TR_DIR}/qt_zh_TW.qm
    )
    list(APPEND QBT_APP_RESOURCE_SOURCE ${QT_TRANSLATIONS})
    set_source_files_properties(${QT_TRANSLATIONS}
        PROPERTIES MACOSX_PACKAGE_LOCATION translations)
endif (APPLE)

target_sources(qBittorrent PRIVATE ${QBT_QM_FILES} ${QBT_APP_RESOURCE_SOURCE})

get_target_property(QBT_EXECUTABLE_NAME qBittorrent OUTPUT_NAME)

target_link_libraries(qBittorrent PRIVATE ${QBT_TARGET_LIBRARIES} QtSingleApplication::QtSingleApplication)

if (APPLE)
    set(qbt_BUNDLE_NAME ${QBT_EXECUTABLE_NAME})

# substitute @EXECUTABLE@ in dist/mac/Info.plist
    set(EXECUTABLE ${qbt_BUNDLE_NAME})
    configure_file(${qBittorrent_SOURCE_DIR}/dist/mac/Info.plist ${qBittorrent_BINARY_DIR}/dist/mac/Info.plist @ONLY)

    set_target_properties(qBittorrent PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "${qbt_BUNDLE_NAME}"
        MACOSX_BUNDLE_INFO_PLIST ${qBittorrent_BINARY_DIR}/dist/mac/Info.plist
    )
endif (APPLE)

# installation
install(TARGETS qBittorrent
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE  DESTINATION .
    COMPONENT runtime)

if (Qt5Widgets_FOUND AND APPLE)
    find_package(Qt5Svg REQUIRED)
    include(bundle)
endif (Qt5Widgets_FOUND AND APPLE)

=== src/base/CMakeLists.txt ===
find_package(ZLIB 1.2.5.2 REQUIRED)

add_library(qbt_base STATIC
# headers
bittorrent/addtorrentparams.h
bittorrent/cachestatus.h
bittorrent/filepriority.h
bittorrent/infohash.h
bittorrent/magneturi.h
bittorrent/peerinfo.h
bittorrent/private/bandwidthscheduler.h
bittorrent/private/filterparserthread.h
bittorrent/private/resumedatasavingmanager.h
bittorrent/private/speedmonitor.h
bittorrent/private/statistics.h
bittorrent/session.h
bittorrent/sessionstatus.h
bittorrent/torrentcreatorthread.h
bittorrent/torrenthandle.h
bittorrent/torrentinfo.h
bittorrent/tracker.h
bittorrent/trackerentry.h
http/connection.h
http/httperror.h
http/irequesthandler.h
http/requestparser.h
http/responsebuilder.h
http/responsegenerator.h
http/server.h
http/types.h
net/dnsupdater.h
net/downloadhandler.h
net/downloadmanager.h
net/geoipmanager.h
net/portforwarder.h
net/private/geoipdatabase.h
net/proxyconfigurationmanager.h
net/reverseresolution.h
net/smtp.h
private/profile_p.h
rss/private/rss_parser.h
rss/rss_article.h
rss/rss_autodownloader.h
rss/rss_autodownloadrule.h
rss/rss_feed.h
rss/rss_folder.h
rss/rss_item.h
rss/rss_session.h
search/searchdownloadhandler.h
search/searchhandler.h
search/searchpluginmanager.h
utils/bytearray.h
utils/foreignapps.h
utils/fs.h
utils/gzip.h
utils/misc.h
utils/net.h
utils/random.h
utils/string.h
utils/version.h
algorithm.h
asyncfilestorage.h
exceptions.h
filesystemwatcher.h
global.h
iconprovider.h
indexrange.h
logger.h
preferences.h
profile.h
scanfoldersmodel.h
settingsstorage.h
torrentfileguard.h
torrentfilter.h
tristatebool.h
types.h
unicodestrings.h

# sources
bittorrent/filepriority.cpp
bittorrent/infohash.cpp
bittorrent/magneturi.cpp
bittorrent/peerinfo.cpp
bittorrent/private/bandwidthscheduler.cpp
bittorrent/private/filterparserthread.cpp
bittorrent/private/resumedatasavingmanager.cpp
bittorrent/private/speedmonitor.cpp
bittorrent/private/statistics.cpp
bittorrent/session.cpp
bittorrent/torrentcreatorthread.cpp
bittorrent/torrenthandle.cpp
bittorrent/torrentinfo.cpp
bittorrent/tracker.cpp
bittorrent/trackerentry.cpp
http/connection.cpp
http/httperror.cpp
http/requestparser.cpp
http/responsebuilder.cpp
http/responsegenerator.cpp
http/server.cpp
net/dnsupdater.cpp
net/downloadhandler.cpp
net/downloadmanager.cpp
net/geoipmanager.cpp
net/portforwarder.cpp
net/private/geoipdatabase.cpp
net/proxyconfigurationmanager.cpp
net/reverseresolution.cpp
net/smtp.cpp
private/profile_p.cpp
rss/private/rss_parser.cpp
rss/rss_article.cpp
rss/rss_autodownloader.cpp
rss/rss_autodownloadrule.cpp
rss/rss_feed.cpp
rss/rss_folder.cpp
rss/rss_item.cpp
rss/rss_session.cpp
search/searchdownloadhandler.cpp
search/searchhandler.cpp
search/searchpluginmanager.cpp
utils/bytearray.cpp
utils/foreignapps.cpp
utils/fs.cpp
utils/gzip.cpp
utils/misc.cpp
utils/net.cpp
utils/random.cpp
utils/string.cpp
asyncfilestorage.cpp
exceptions.cpp
filesystemwatcher.cpp
iconprovider.cpp
logger.cpp
preferences.cpp
profile.cpp
scanfoldersmodel.cpp
settingsstorage.cpp
torrentfileguard.cpp
torrentfilter.cpp
tristatebool.cpp
)

target_link_libraries(qbt_base
    PRIVATE
        ZLIB::ZLIB
    PUBLIC
        LibtorrentRasterbar::torrent-rasterbar
        Qt5::Core Qt5::Network Qt5::Xml
)

if (Qt5Widgets_FOUND)
    target_link_libraries(qbt_base PUBLIC Qt5::Gui Qt5::Widgets)
endif (Qt5Widgets_FOUND)

if (Qt5DBus_FOUND)
    target_link_libraries(qbt_base PRIVATE Qt5::DBus)
endif ()

if (APPLE)
    find_library(IOKit_LIBRARY IOKit)
    find_library(Carbon_LIBRARY Carbon)
    find_library(AppKit_LIBRARY AppKit)
    target_link_libraries(qbt_base PRIVATE ${Carbon_LIBRARY} ${IOKit_LIBRARY} ${AppKit_LIBRARY})
endif (APPLE)

=== src/gui/CMakeLists.txt ===
set(CMAKE_AUTORCC True)
set(CMAKE_AUTOUIC True)

add_library(qbt_gui_headers INTERFACE)
target_include_directories(qbt_gui_headers INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(lineedit)
add_subdirectory(properties)
add_subdirectory(powermanagement)
add_subdirectory(rss)
add_subdirectory(search)

add_library(qbt_gui STATIC
# headers
aboutdialog.h
addnewtorrentdialog.h
advancedsettings.h
autoexpandabledialog.h
banlistoptionsdialog.h
categoryfiltermodel.h
categoryfilterproxymodel.h
categoryfilterwidget.h
cookiesdialog.h
cookiesmodel.h
deletionconfirmationdialog.h
downloadfromurldialog.h
executionlogwidget.h
fspathedit.h
fspathedit_p.h
guiiconprovider.h
hidabletabwidget.h
ipsubnetwhitelistoptionsdialog.h
loglistwidget.h
mainwindow.h
optionsdialog.h
previewlistdelegate.h
previewselectdialog.h
raisedmessagebox.h
scanfoldersdelegate.h
shutdownconfirmdialog.h
speedlimitdialog.h
statsdialog.h
statusbar.h
tagfiltermodel.h
tagfilterproxymodel.h
tagfilterwidget.h
torrentcategorydialog.h
torrentcontentfiltermodel.h
torrentcontentmodel.h
torrentcontentmodelfile.h
torrentcontentmodelfolder.h
torrentcontentmodelitem.h
torrentcontenttreeview.h
torrentcreatordialog.h
trackerlogindialog.h
transferlistdelegate.h
transferlistfilterswidget.h
transferlistmodel.h
transferlistsortmodel.h
transferlistwidget.h
updownratiodialog.h
utils.h

# sources
addnewtorrentdialog.cpp
advancedsettings.cpp
autoexpandabledialog.cpp
banlistoptionsdialog.cpp
categoryfiltermodel.cpp
categoryfilterproxymodel.cpp
categoryfilterwidget.cpp
cookiesdialog.cpp
cookiesmodel.cpp
downloadfromurldialog.cpp
executionlogwidget.cpp
fspathedit.cpp
fspathedit_p.cpp
guiiconprovider.cpp
ipsubnetwhitelistoptionsdialog.cpp
loglistwidget.cpp
mainwindow.cpp
optionsdialog.cpp
previewselectdialog.cpp
raisedmessagebox.cpp
scanfoldersdelegate.cpp
shutdownconfirmdialog.cpp
speedlimitdialog.cpp
statsdialog.cpp
statusbar.cpp
tagfiltermodel.cpp
tagfilterproxymodel.cpp
tagfilterwidget.cpp
torrentcategorydialog.cpp
torrentcontentfiltermodel.cpp
torrentcontentmodel.cpp
torrentcontentmodelfile.cpp
torrentcontentmodelfolder.cpp
torrentcontentmodelitem.cpp
torrentcontenttreeview.cpp
torrentcreatordialog.cpp
trackerlogindialog.cpp
transferlistdelegate.cpp
transferlistfilterswidget.cpp
transferlistmodel.cpp
transferlistsortmodel.cpp
transferlistwidget.cpp
updownratiodialog.cpp
utils.cpp

# forms
aboutdialog.ui
addnewtorrentdialog.ui
autoexpandabledialog.ui
banlistoptionsdialog.ui
cookiesdialog.ui
deletionconfirmationdialog.ui
downloadfromurldialog.ui
executionlogwidget.ui
ipsubnetwhitelistoptionsdialog.ui
mainwindow.ui
optionsdialog.ui
previewselectdialog.ui
shutdownconfirmdialog.ui
speedlimitdialog.ui
statsdialog.ui
torrentcategorydialog.ui
torrentcreatordialog.ui
trackerlogindialog.ui
updownratiodialog.ui
)

target_link_libraries(qbt_gui
    PRIVATE
        qbt_lineedit qbt_powermanagement qbt_rss qbt_properties qbt_searchengine
        qbt_base
        QtSingleApplication::QtSingleApplication
)

target_include_directories(qbt_gui
    PRIVATE ../app
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
)

if (UNIX AND Qt5DBus_FOUND)
   add_subdirectory(qtnotify)
   target_link_libraries(qbt_gui PRIVATE qbt_qtnotify)
endif (UNIX AND Qt5DBus_FOUND)

if (APPLE)
    target_sources(qbt_gui PRIVATE macutilities.h macutilities.mm)
    find_package(Qt5 ${requiredQtVersion} REQUIRED COMPONENTS MacExtras)
    target_link_libraries(qbt_gui PRIVATE Qt5::MacExtras objc)
endif (APPLE)

if (WIN32 OR APPLE)
    target_sources(qbt_gui PRIVATE programupdater.h programupdater.cpp)
endif (WIN32 OR APPLE)

qbt_target_sources(qBittorrent PRIVATE about.qrc)

if(WIN32)
    find_package(Qt5 ${requiredQtVersion} REQUIRED COMPONENTS WinExtras)
    target_link_libraries(qbt_gui PRIVATE Qt5::WinExtras)
endif(WIN32)

=== src/app/qtsingleapplication/CMakeLists.txt ===
project(qtsingleapplication)

set(QBT_QTSINGLEAPPLICATION_HEADERS
qtlocalpeer.h
)

set(QBT_QTSINGLEAPPLICATION_SOURCES
qtlocalpeer.cpp
)

if (Qt5Widgets_FOUND)
    list(APPEND QBT_QTSINGLEAPPLICATION_HEADERS qtsingleapplication.h)
    list(APPEND QBT_QTSINGLEAPPLICATION_SOURCES qtsingleapplication.cpp)
else (Qt5Widgets_FOUND)
    list(APPEND QBT_QTSINGLEAPPLICATION_HEADERS qtsinglecoreapplication.h)
    list(APPEND QBT_QTSINGLEAPPLICATION_SOURCES qtsinglecoreapplication.cpp)
endif (Qt5Widgets_FOUND)

add_library(qtsingleapplication STATIC ${QBT_QTSINGLEAPPLICATION_HEADERS} ${QBT_QTSINGLEAPPLICATION_SOURCES})
target_include_directories(qtsingleapplication INTERFACE "${qtsingleapplication_SOURCE_DIR}")
target_link_libraries(qtsingleapplication PRIVATE Qt5::Network)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
    target_compile_options(qtsingleapplication PRIVATE "-w") # disable warning for 3rdparty code
endif()

if (Qt5Widgets_FOUND)
    target_link_libraries(qtsingleapplication PRIVATE Qt5::Widgets)
endif (Qt5Widgets_FOUND)

add_library(QtSingleApplication::QtSingleApplication ALIAS qtsingleapplication)

=== src/gui/lineedit/CMakeLists.txt ===
add_library(qbt_lineedit STATIC
src/lineedit.cpp
src/lineedit.h
)

target_link_libraries(qbt_lineedit
    PRIVATE
        qbt_gui_headers
    PUBLIC
        Qt5::Widgets
)

target_include_directories(qbt_lineedit PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/src)

=== src/gui/powermanagement/CMakeLists.txt ===
add_library(qbt_powermanagement STATIC
powermanagement.h
powermanagement.cpp
)

target_link_libraries(qbt_powermanagement PUBLIC Qt5::Core)
set_target_properties(qbt_powermanagement PROPERTIES AUTOUIC False AUTORCC False)
target_include_directories(qbt_powermanagement PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

if (UNIX AND Qt5DBus_FOUND)
    find_package(X11)
    if (X11_FOUND)
        target_sources(qbt_powermanagement PRIVATE powermanagement_x11.h powermanagement_x11.cpp)
        target_link_libraries(qbt_powermanagement PRIVATE Qt5::DBus)
    endif (X11_FOUND)
endif (UNIX AND Qt5DBus_FOUND)

if (WIN32)
    target_link_libraries(qbt_powermanagement PRIVATE PowrProf)
endif (WIN32)

=== src/gui/qtnotify/CMakeLists.txt ===
add_library(qbt_qtnotify STATIC
notifications.cpp
notifications.h
)

set_target_properties(qbt_qtnotify PROPERTIES AUTOUIC False AUTORCC False)
target_link_libraries(qbt_qtnotify PUBLIC Qt5::DBus)
target_include_directories(qbt_qtnotify PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
qbittorrent (4.1.7-1ubuntu3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:27:54 +0000

qbittorrent (4.1.7-1ubuntu2) focal; urgency=medium

  * Build using dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 15:58:14 +0100

qbittorrent (4.1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #933889).
   - Prevent command injection via "Run external program" function
     (Closes: #932539, CVE-2019-13640).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 25 Aug 2019 16:51:10 -0400

qbittorrent (4.1.6-1) unstable; urgency=medium

  * New upstream version 4.1.6 (Closes: #928748)

 -- Ondřej Surý <ondrej@sury.org>  Thu, 11 Jul 2019 09:26:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
+               dh-python, python2,
                dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 1.1.2),
                libboost-dev,
@@ -20,7 +21,7 @@
 Package: qbittorrent
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         python (>= 2.5), geoip-database
+         ${python:Depends}, geoip-database
 Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
@@ -64,3 +65,15 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
+
+Package: qbittorrent-dbg
+Architecture: any
+Section: debug
+Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
+Description: debug symbols for qbittorrent and qbittorrent-nox
+ BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
+ user interface. qBittorrent is a feature rich but lightweight client that is
+ very similar to uTorrent.
+ .
+ This package contains the debugging symbols for qbittorrent and
+ qbittorrent-nox.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --without autoreconf
+	dh $@ --with python2 --without autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-nox -- --disable-gui \
@@ -30,4 +30,4 @@
 	dh_auto_clean --builddirectory build-gui
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip -a --dbg-package=qbittorrent-dbg

=== debian/watch ===
version=3

#unstable: follow stable and rc releases
opts="uversionmangle=s/rc/~rc/" \
  https://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:rc\d)?)\.tar\.xz

#experimental: follow stable, rc and beta releases
#opts="uversionmangle=s/(rc|beta)/~$1/" \
#  https://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:(?:rc|beta)\d)?)\.tar\.xz

## qbittorrent 4.1.8

=== debian/changelog ===
qbittorrent (4.1.8-0.1~mx17+1) mx; urgency=medium

  * New upstream release:  
    - BUGFIX: Fix filename validation on non-Windows OS.
    - BUGFIX: ScanFolders/FileSystemWatcher now detect magnet files with case
      insensitivity in filename.
    - BUGFIX: Fix failed seeding after creating a torrent and auto-adding it to 
      the session.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 16:23:31 -0700

qbittorrent (4.1.7-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Aug 2019 11:55:41 -0700

qbittorrent (4.1.6-1~mx19+2) mx; urgency=medium

  * Rebuild against original orig file in MX repo.
  * Disable dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Jul 2019 11:07:14 -0700

qbittorrent (4.1.6-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Jul 2019 19:40:34 -0700

## qbittorrent 4.1.9

=== debian/changelog ===
qbittorrent (4.1.9-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - BUGFIX: Preserve relative order when moving to top/bottom in queue
      (Chocobo1)
    - WINDOWS: Use real physical screen DPI (Chocobo1)
    - WEBUI: Bump Web API version

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Oct 2019 18:53:05 -0700

qbittorrent (4.1.8-0.1~mx19+1) mx; urgency=medium

  * New upstream release:  
    - BUGFIX: Fix filename validation on non-Windows OS.
    - BUGFIX: ScanFolders/FileSystemWatcher now detect magnet files with case
      insensitivity in filename.
    - BUGFIX: Fix failed seeding after creating a torrent and auto-adding it to 
      the session.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 16:23:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-python, python2,
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 1.1.2),
+               libtorrent-rasterbar-dev (>= 1.1.9),
                libboost-dev,
                libqt5svg5-dev,
-               qtbase5-dev (>= 5.2.0),
+               qtbase5-dev (>= 5.5.1),
                qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.3.0
@@ -21,8 +20,8 @@
 Package: qbittorrent
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         ${python:Depends}, geoip-database
-Suggests: qbittorrent-dbg
+         python (>= 2.5), geoip-database
+#Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
@@ -65,15 +64,3 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
-
-Package: qbittorrent-dbg
-Architecture: any
-Section: debug
-Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for qbittorrent and qbittorrent-nox
- BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
- user interface. qBittorrent is a feature rich but lightweight client that is
- very similar to uTorrent.
- .
- This package contains the debugging symbols for qbittorrent and
- qbittorrent-nox.

## qbittorrent 4.2.0

=== debian/changelog ===
qbittorrent (4.2.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19.
  * Minimum version of Qt 5 is now 5.9.0.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Dec 2019 18:45:12 -0800

qbittorrent (4.1.9-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - BUGFIX: Preserve relative order when moving to top/bottom in queue
      (Chocobo1)
    - WINDOWS: Use real physical screen DPI (Chocobo1)
    - WEBUI: Bump Web API version

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Oct 2019 18:53:05 -0700

## qbittorrent 4.2.1

=== debian/changelog ===
qbittorrent (4.2.1-0.1~mx19+2) mx; urgency=medium

  * New upstream release; build for MX 19:
    - Enable portable mode if “profile” directory exists
    - Enable “Apply rate limit to peers on LAN” option by default
    - Expand single-item folders in torrent content
    - Rework the listening IP/interface selection code
    - Bug-fixes and some Web UI changes.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Dec 2019 15:15:43 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libtorrent-rasterbar-dev (>= 1.1.9),
                libboost-dev,
                libqt5svg5-dev,
-               qtbase5-dev (>= 5.5.1),
+               qtbase5-dev (>= 5.9.0),
                qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.3.0
@@ -21,7 +21,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          python (>= 2.5), geoip-database
-#Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is

## qbittorrent 4.2.3

=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,17 @@
 # headers
 bittorrent/addtorrentparams.h
 bittorrent/cachestatus.h
-bittorrent/filepriority.h
+bittorrent/downloadpriority.h
 bittorrent/infohash.h
 bittorrent/magneturi.h
+bittorrent/peeraddress.h
 bittorrent/peerinfo.h
 bittorrent/private/bandwidthscheduler.h
 bittorrent/private/filterparserthread.h
+bittorrent/private/ltunderlyingtype.h
+bittorrent/private/nativesessionextension.h
+bittorrent/private/nativetorrentextension.h
+bittorrent/private/portforwarderimpl.h
 bittorrent/private/resumedatasavingmanager.h
 bittorrent/private/speedmonitor.h
 bittorrent/private/statistics.h
@@ -29,10 +34,10 @@
 http/server.h
 http/types.h
 net/dnsupdater.h
-net/downloadhandler.h
 net/downloadmanager.h
 net/geoipmanager.h
 net/portforwarder.h
+net/private/downloadhandlerimpl.h
 net/private/geoipdatabase.h
 net/proxyconfigurationmanager.h
 net/reverseresolution.h
@@ -55,6 +60,7 @@
 utils/gzip.h
 utils/misc.h
 utils/net.h
+utils/password.h
 utils/random.h
 utils/string.h
 utils/version.h
@@ -77,12 +83,16 @@
 unicodestrings.h
 
 # sources
-bittorrent/filepriority.cpp
+bittorrent/downloadpriority.cpp
 bittorrent/infohash.cpp
 bittorrent/magneturi.cpp
+bittorrent/peeraddress.cpp
 bittorrent/peerinfo.cpp
 bittorrent/private/bandwidthscheduler.cpp
 bittorrent/private/filterparserthread.cpp
+bittorrent/private/nativesessionextension.cpp
+bittorrent/private/nativetorrentextension.cpp
+bittorrent/private/portforwarderimpl.cpp
 bittorrent/private/resumedatasavingmanager.cpp
 bittorrent/private/speedmonitor.cpp
 bittorrent/private/statistics.cpp
@@ -99,10 +109,10 @@
 http/responsegenerator.cpp
 http/server.cpp
 net/dnsupdater.cpp
-net/downloadhandler.cpp
 net/downloadmanager.cpp
 net/geoipmanager.cpp
 net/portforwarder.cpp
+net/private/downloadhandlerimpl.cpp
 net/private/geoipdatabase.cpp
 net/proxyconfigurationmanager.cpp
 net/reverseresolution.cpp
@@ -125,6 +135,7 @@
 utils/gzip.cpp
 utils/misc.cpp
 utils/net.cpp
+utils/password.cpp
 utils/random.cpp
 utils/string.cpp
 asyncfilestorage.cpp

=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 add_library(qbt_gui_headers INTERFACE)
 target_include_directories(qbt_gui_headers INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
 
-add_subdirectory(lineedit)
 add_subdirectory(properties)
 add_subdirectory(powermanagement)
 add_subdirectory(rss)
@@ -26,15 +25,16 @@
 downloadfromurldialog.h
 executionlogwidget.h
 fspathedit.h
-fspathedit_p.h
-guiiconprovider.h
 hidabletabwidget.h
 ipsubnetwhitelistoptionsdialog.h
+lineedit.h
 loglistwidget.h
 mainwindow.h
 optionsdialog.h
 previewlistdelegate.h
 previewselectdialog.h
+private/fspathedit_p.h
+private/tristatewidget.h
 raisedmessagebox.h
 scanfoldersdelegate.h
 shutdownconfirmdialog.h
@@ -52,16 +52,19 @@
 torrentcontentmodelitem.h
 torrentcontenttreeview.h
 torrentcreatordialog.h
-trackerlogindialog.h
+trackerentriesdialog.h
 transferlistdelegate.h
 transferlistfilterswidget.h
 transferlistmodel.h
 transferlistsortmodel.h
 transferlistwidget.h
+tristateaction.h
+uithememanager.h
 updownratiodialog.h
 utils.h
 
 # sources
+aboutdialog.cpp
 addnewtorrentdialog.cpp
 advancedsettings.cpp
 autoexpandabledialog.cpp
@@ -71,16 +74,20 @@
 categoryfilterwidget.cpp
 cookiesdialog.cpp
 cookiesmodel.cpp
+deletionconfirmationdialog.cpp
 downloadfromurldialog.cpp
 executionlogwidget.cpp
 fspathedit.cpp
-fspathedit_p.cpp
-guiiconprovider.cpp
+hidabletabwidget.cpp
 ipsubnetwhitelistoptionsdialog.cpp
+lineedit.cpp
 loglistwidget.cpp
 mainwindow.cpp
 optionsdialog.cpp
+previewlistdelegate.cpp
 previewselectdialog.cpp
+private/fspathedit_p.cpp
+private/tristatewidget.cpp
 raisedmessagebox.cpp
 scanfoldersdelegate.cpp
 shutdownconfirmdialog.cpp
@@ -98,12 +105,14 @@
 torrentcontentmodelitem.cpp
 torrentcontenttreeview.cpp
 torrentcreatordialog.cpp
-trackerlogindialog.cpp
+trackerentriesdialog.cpp
 transferlistdelegate.cpp
 transferlistfilterswidget.cpp
 transferlistmodel.cpp
 transferlistsortmodel.cpp
 transferlistwidget.cpp
+tristateaction.cpp
+uithememanager.cpp
 updownratiodialog.cpp
 utils.cpp
 
@@ -125,15 +134,14 @@
 statsdialog.ui
 torrentcategorydialog.ui
 torrentcreatordialog.ui
-trackerlogindialog.ui
+trackerentriesdialog.ui
 updownratiodialog.ui
 )
 
 target_link_libraries(qbt_gui
     PRIVATE
-        qbt_lineedit qbt_powermanagement qbt_rss qbt_properties qbt_searchengine
+        qbt_powermanagement qbt_rss qbt_properties qbt_searchengine
         qbt_base
-        QtSingleApplication::QtSingleApplication
 )
 
 target_include_directories(qbt_gui

## qbittorrent 4.2.4

=== debian/changelog ===
qbittorrent (4.2.4-0.1~mx19+2) mx; urgency=medium

  * New upstream release; build for MX 19:
    - BUGFIX: Fix sub-sorting of Transfer list (glassez)
    - BUGFIX: Fix wrong logic that disables "prevent sleeping" timer (Chocobo1)
    - BUGFIX: Set disk cache size for older libtorrent versions (NotTsunami)
    - BUGFIX: Sort locale language list (Chocobo1)
    - BUGFIX: Remove white outline around mascot.png (adem)
    - BUGFIX: Various fixes in configuring the chosen network interface and not
              leaking the IP (Raif Atef, an0n666)
    - BUGFIX: Save "resume data" when torrent storage is moved (glassez)
    - BUGFIX: Avoid holding encoded resume data in memory (Chocobo1)
    - BUGFIX: Fix date format for "Last seen complete" (Chocobo1)
    - BUGFIX: Remove deprecated strict super seeding mode from advanced
              settings (an0n666)
    - BUGFIX: Change default stop_tracker_timeout settings (an0n666)
    - BUGFIX: Convert the Log widget to use custom View/Model (jagannatharjun)
    - BUGFIX: Change default upload slot choking limits (an0n666)
    - BUGFIX: Don't uncheck Authentication checkbox when changing proxy
              type (thalieht)
    - BUGFIX: Reduce ambiguity for selecting tray icons (Chocobo1)
    - WEBUI: Fix unable to add multiple peers in WebUI (Sepro)
    - WEBUI: Fix UPnP lease duration get/set (NotTsunami)

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Apr 2020 10:42:16 -0700

qbittorrent (4.2.3-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: Add logging for SOCKS5 proxy errors (Chocobo1)
    - FEATURE: Add UPnP lease duration advanced option (NotTsunami)
    - BUGFIX: Allow to translate error messages (Chocobo1)
    - BUGFIX: Don't round scaling factor (Nick Korotysh)
    - BUGFIX: Save log file in UTF-8 encoding (Chocobo1)
    - BUGFIX: Avoid log file excessive flushing (Chocobo1)
    - BUGFIX: Fix regression when fastresume contains network path (Tester798)
    - BUGFIX: Fix broken UNC paths in fastresumes on Windows (sledgehammer999)
    - BUGFIX: Prevent multiple instances for the same app config (glassez)
    - BUGFIX: Fix unexpected torrent resume after app restart with libtorrent
      1.1.x (glassez)
    - WEBUI: Add alt and title tags for WebUI footer (LameLemon)

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Apr 2020 09:16:37 -0700

qbittorrent (4.2.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: Allow transfer list text color changes through QSS
      (Prince Gupta)
    - FEATURE: Option to show console when external program is run
      (sledgehammer999)
    - FEATURE: Rename Country column to "Country / Region" (Thomas Piccirello)
    - FEATURE: Change the defaults of some settings (FranciscoPombal)
    - FEATURE: Refactored Transfer List code to allow theming. As a sideffect
      the row height has more padding. (glassez)
    - FEATURE: Allow double-click in preview dialog (thalieht)
    - FEATURE: Expose stop_tracker_timeout in advanced settings (an0n666)
    - FEATURE: Add piece_extent_affinity to AdvancedSettings (FranciscoPombal)
    - FEATURE: Reorganize UI theme selection (Prince Gupta)
    - FEATURE: Show any multiple connections from the same IP in peer list
      (thalieht)
    - FEATURE: Add stalled filters to GUI and Web API/UI (FranciscoPombal)
    - FEATURE: Use IP geolocation database by DB-IP instead of MaxMind
      (sledgehammer999)
    - FEATURE: Allow to save downloaded metadata as torrent file (glassez)
    - FEATURE: Allow single app instance per configuration (glassez)
    - PERFORMANCE: Move multiple torrents one by one (glassez)
    - BUGFIX: Disable Torrent Queue by default for new users (an0n666)
    - BUGFIX: Update free disk space label on Category change in Auto Mode
      (Medvedishce)
    - BUGFIX: Save resume data after recheck (glassez)
    - BUGFIX: Tracker is errored only if all local endpoints fail
      (sledgehammer999)
    - BUGFIX: Change placement of stop tracker timeout setting (An0n)
    - BUGFIX: Redesign torrent startup handling (glassez)
    - BUGFIX: Show "∞" instead of " -1" in Preferences (Sakib-Abrar)
    - BUGFIX: Improve code efficiency for reverse resolution of peers (Chocobo1)
    - BUGFIX: Handle HTTP redirection to magnet URI (glassez)
    - BUGFIX: Various fixes for portable mode (Tester798)
    - BUGFIX: Include resume folder path in exception message (Chocobo1)
    - BUGFIX: Change placeholder text in torrent list's filter (djt3)
    - BUGFIX: Improvements in the embedded tracker to be more spec compliant
     (FranciscoPombal)
    - BUGFIX: Improve the options tooltips (NotTsunami)
    - BUGFIX: Check if file exists in seed mode (an0n666)
    - BUGFIX: Delegate GUI scaling work to Qt (Nick Korotysh)
    - BUGFIX: Fix crash when renaming torrent contents (Chocobo1)
    - BUGFIX: Fix total connected peers count calculation (FranciscoPombal)
    - BUGFIX: Allow other keypresses in LogListWidget (NotTsunami)
    - BUGFIX: Disable Auto TMM when not using default savepath from monitored
      folder (thalieht)
    - WEBUI: Fix first row renaming in files tab (Denis)
    - WEBUI: Use SVG image for WebUI favicon (Nick Korotysh)
    - WEBUI: Inherit text color for filter list elements (Nick Korotysh)
    - WEBUI: Expose WebUI ban counter to users (Chocobo1)
    - WEBUI: Expose WebUI ban duration to users (Chocobo1)
    - WEBUI: Implement "Secure" flag for session cookie (FranciscoPombal)
    - WEBUI: Remove unused/deprecated option (FranciscoPombal)
    - WEBUI: Prevent excessive sync requests (FranciscoPombal)
    - WEBUI: Fix populating statistics window (FranciscoPombal)
    - WEBUI: Fix matching uncategorized torrents (FranciscoPombal)
    - WEBUI: Always allow whitespace in category names (FranciscoPombal)
    - SEARCH: Bump python version for new installation (Chocobo1)
    - SEARCH: Fix missing string (Chocobo1)
    - SEARCH: Drop python2 support (Chocobo1)



=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 1.1.9),
-               libboost-dev,
-               libqt5svg5-dev,
+               libtorrent-rasterbar-dev (>= 1.1.10),
+               libboost-dev (>= 1.40),
+               libqt5svg5-dev (>= 5.9.0),
                qtbase5-dev (>= 5.9.0),
-               qttools5-dev-tools,
-               zlib1g-dev
+               qttools5-dev-tools (>= 5.9.0),
+               zlib1g-dev (>= 1.2.5.2)
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
 Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
@@ -20,7 +20,7 @@
 Package: qbittorrent
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         python (>= 2.5), geoip-database
+         python3 (>= 3.3.0), geoip-database
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
